Package org.eclipse.emf.cdo.common.util

## Interface CDORenameContext

-     public interface CDORenameContext

  Since:
    4.4
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getType()` |
    `void` | `setName​(java.lang.String name)` |
    `java.lang.String` | `validateName​(java.lang.String name)` |

- - ### Method Detail

    - #### getType

          java.lang.String getType()

    - #### getName

          java.lang.String getName()

    - #### setName

          void setName​(java.lang.String name)

    - #### validateName

          java.lang.String validateName​(java.lang.String name)